SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   CGI.pm Vendors:   Stein, Lincoln D.
(Red Hat Issues Fix for RH Enterprise Linux) CGI.pm Library Input Validation Flaw Permits Remote Cross-Site Scripting Attacks
SecurityTracker Alert ID:  1007787
SecurityTracker URL:  http://securitytracker.com/id/1007787
CVE Reference:   CVE-2003-0615   (Links to External Site)
Date:  Sep 23 2003
Impact:   Disclosure of authentication information, Disclosure of user information, Execution of arbitrary code via network, Modification of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   An input validation vulnerability was reported in the 'CGI.pm' library. A remote user can conduct cross-site scripting attacks against an application based on the library, depending on how the library is used.

Scripts that use the start_form() function may be affected by this flaw. The function reportedly does not properly filter user-supplied input when creating web forms. A remote user can create a specially crafted URL that, when loaded by a target user, will cause arbitrary scripting code to be executed by the target user's browser. The code will originate from the site running the vulnerable software and will run in the security context of that site. As a result, the code will be able to access the target user's cookies (including authentication cookies), if any, associated with the site, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.

A demonstration exploit URL is provided:

http://host/script.pl?">some%20text<!--%20

Whether or not an application that uses the library is affected or not depends on how the library is used.

The vendor was reportedly notified on April 30, 2003.

Eye on Security reported this vulnerability.

Impact:   A remote user can access the target user's cookies (including authentication cookies), if any, associated with the site running an application based on the library, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.
Solution:   Red Hat has issued the following fix for Red Hat Enterprise Linux:

Red Hat Enterprise Linux AS (Advanced Server) version 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1AS/en/os/SRPMS/perl-5.6.1-36.1.99ent.src.rpm

i386:
Available from Red Hat Network: perl-5.6.1-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-CGI-2.752-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-CPAN-1.59_54-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-DB_File-1.75-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-NDBM_File-1.75-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-suidperl-5.6.1-36.1.99ent.i386.rpm

ia64:
Available from Red Hat Network: perl-5.6.1-36.1.99ent.ia64.rpm
Available from Red Hat Network: perl-CGI-2.752-36.1.99ent.ia64.rpm
Available from Red Hat Network: perl-CPAN-1.59_54-36.1.99ent.ia64.rpm
Available from Red Hat Network: perl-DB_File-1.75-36.1.99ent.ia64.rpm
Available from Red Hat Network: perl-NDBM_File-1.75-36.1.99ent.ia64.rpm
Available from Red Hat Network: perl-suidperl-5.6.1-36.1.99ent.ia64.rpm

Red Hat Linux Advanced Workstation 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1AW/en/os/SRPMS/perl-5.6.1-36.1.99ent.src.rpm

ia64:
Available from Red Hat Network: perl-5.6.1-36.1.99ent.ia64.rpm
Available from Red Hat Network: perl-CGI-2.752-36.1.99ent.ia64.rpm
Available from Red Hat Network: perl-CPAN-1.59_54-36.1.99ent.ia64.rpm
Available from Red Hat Network: perl-DB_File-1.75-36.1.99ent.ia64.rpm
Available from Red Hat Network: perl-NDBM_File-1.75-36.1.99ent.ia64.rpm
Available from Red Hat Network: perl-suidperl-5.6.1-36.1.99ent.ia64.rpm

Red Hat Enterprise Linux ES version 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1ES/en/os/SRPMS/perl-5.6.1-36.1.99ent.src.rpm

i386:
Available from Red Hat Network: perl-5.6.1-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-CGI-2.752-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-CPAN-1.59_54-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-DB_File-1.75-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-NDBM_File-1.75-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-suidperl-5.6.1-36.1.99ent.i386.rpm

Red Hat Enterprise Linux WS version 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1WS/en/os/SRPMS/perl-5.6.1-36.1.99ent.src.rpm

i386:
Available from Red Hat Network: perl-5.6.1-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-CGI-2.752-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-CPAN-1.59_54-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-DB_File-1.75-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-NDBM_File-1.75-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-suidperl-5.6.1-36.1.99ent.i386.rpm


The verification checksums are:

MD5 sum Package Name
f68c68af77d0fbc0d87adff7ee24d5f5 2.1AS/en/os/SRPMS/perl-5.6.1-36.1.99ent.src.rpm
92beea583946b6a46bf4fba8907676d8 2.1AS/en/os/i386/perl-5.6.1-36.1.99ent.i386.rpm
330f91be78f3b5651ac5b4b8eae8644c 2.1AS/en/os/i386/perl-CGI-2.752-36.1.99ent.i386.rpm
4b387545bf3edc5291120e64c378003e 2.1AS/en/os/i386/perl-CPAN-1.59_54-36.1.99ent.i386.rpm
0c92c0016306bbafbf4a79ffbb9f3f4f 2.1AS/en/os/i386/perl-DB_File-1.75-36.1.99ent.i386.rpm
73a750b46ff4c1d27735364b39675c13 2.1AS/en/os/i386/perl-NDBM_File-1.75-36.1.99ent.i386.rpm
db034ae0d8d69a0ebd19eebe737ce8e8 2.1AS/en/os/i386/perl-suidperl-5.6.1-36.1.99ent.i386.rpm
cb4bb8ff697bda8132ca2be375177eb2 2.1AS/en/os/ia64/perl-5.6.1-36.1.99ent.ia64.rpm
0fb198cf078787fbcc7ff4732194bd5f 2.1AS/en/os/ia64/perl-CGI-2.752-36.1.99ent.ia64.rpm
aae460ed7b4b35177e3d7516afc8738f 2.1AS/en/os/ia64/perl-CPAN-1.59_54-36.1.99ent.ia64.rpm
2843c0ad23024b2bf9356010eb810538 2.1AS/en/os/ia64/perl-DB_File-1.75-36.1.99ent.ia64.rpm
ab28f32d780d4958358cbe87b28be836 2.1AS/en/os/ia64/perl-NDBM_File-1.75-36.1.99ent.ia64.rpm
dd863885922025acc7e9ae761e6ca84a 2.1AS/en/os/ia64/perl-suidperl-5.6.1-36.1.99ent.ia64.rpm
f68c68af77d0fbc0d87adff7ee24d5f5 2.1AW/en/os/SRPMS/perl-5.6.1-36.1.99ent.src.rpm
cb4bb8ff697bda8132ca2be375177eb2 2.1AW/en/os/ia64/perl-5.6.1-36.1.99ent.ia64.rpm
0fb198cf078787fbcc7ff4732194bd5f 2.1AW/en/os/ia64/perl-CGI-2.752-36.1.99ent.ia64.rpm
aae460ed7b4b35177e3d7516afc8738f 2.1AW/en/os/ia64/perl-CPAN-1.59_54-36.1.99ent.ia64.rpm
2843c0ad23024b2bf9356010eb810538 2.1AW/en/os/ia64/perl-DB_File-1.75-36.1.99ent.ia64.rpm
ab28f32d780d4958358cbe87b28be836 2.1AW/en/os/ia64/perl-NDBM_File-1.75-36.1.99ent.ia64.rpm
dd863885922025acc7e9ae761e6ca84a 2.1AW/en/os/ia64/perl-suidperl-5.6.1-36.1.99ent.ia64.rpm
f68c68af77d0fbc0d87adff7ee24d5f5 2.1ES/en/os/SRPMS/perl-5.6.1-36.1.99ent.src.rpm
92beea583946b6a46bf4fba8907676d8 2.1ES/en/os/i386/perl-5.6.1-36.1.99ent.i386.rpm
330f91be78f3b5651ac5b4b8eae8644c 2.1ES/en/os/i386/perl-CGI-2.752-36.1.99ent.i386.rpm
4b387545bf3edc5291120e64c378003e 2.1ES/en/os/i386/perl-CPAN-1.59_54-36.1.99ent.i386.rpm
0c92c0016306bbafbf4a79ffbb9f3f4f 2.1ES/en/os/i386/perl-DB_File-1.75-36.1.99ent.i386.rpm
73a750b46ff4c1d27735364b39675c13 2.1ES/en/os/i386/perl-NDBM_File-1.75-36.1.99ent.i386.rpm
db034ae0d8d69a0ebd19eebe737ce8e8 2.1ES/en/os/i386/perl-suidperl-5.6.1-36.1.99ent.i386.rpm
f68c68af77d0fbc0d87adff7ee24d5f5 2.1WS/en/os/SRPMS/perl-5.6.1-36.1.99ent.src.rpm
92beea583946b6a46bf4fba8907676d8 2.1WS/en/os/i386/perl-5.6.1-36.1.99ent.i386.rpm
330f91be78f3b5651ac5b4b8eae8644c 2.1WS/en/os/i386/perl-CGI-2.752-36.1.99ent.i386.rpm
4b387545bf3edc5291120e64c378003e 2.1WS/en/os/i386/perl-CPAN-1.59_54-36.1.99ent.i386.rpm
0c92c0016306bbafbf4a79ffbb9f3f4f 2.1WS/en/os/i386/perl-DB_File-1.75-36.1.99ent.i386.rpm
73a750b46ff4c1d27735364b39675c13 2.1WS/en/os/i386/perl-NDBM_File-1.75-36.1.99ent.i386.rpm
db034ae0d8d69a0ebd19eebe737ce8e8 2.1WS/en/os/i386/perl-suidperl-5.6.1-36.1.99ent.i386.rpm

Vendor URL:  stein.cshl.org/WWW/software/CGI/ (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Red Hat Linux)
Underlying OS Comments:  Red Hat Enterprise Linux 2.1

Message History:   This archive entry is a follow-up to the message listed below.
Jul 21 2003 CGI.pm Library Input Validation Flaw Permits Remote Cross-Site Scripting Attacks



 Source Message Contents

Subject:  [RHSA-2003:257-01] Updated Perl packages fix security issues.


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- ---------------------------------------------------------------------
                   Red Hat Security Advisory

Synopsis:          Updated Perl packages fix security issues.
Advisory ID:       RHSA-2003:257-01
Issue date:        2003-09-22
Updated on:        2003-09-22
Product:           Red Hat Enterprise Linux
Keywords:          Safe.pm CGI.pm
Cross references:  
Obsoletes:         
CVE Names:         CAN-2002-1323 CAN-2003-0615
- ---------------------------------------------------------------------

1. Topic:

Updated Perl packages that fix a security issue in Safe.pm and a cross-site
scripting (XSS) vulnerability in CGI.pm are now available.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AS (Advanced Server) version 2.1 - i386, ia64
Red Hat Linux Advanced Workstation 2.1 - ia64
Red Hat Enterprise Linux ES version 2.1 - i386
Red Hat Enterprise Linux WS version 2.1 - i386

3. Problem description:

Perl is a high-level programming language commonly used for system
administration utilities and Web programming.

Two security issues have been found in Perl that affect the Perl packages
shipped with Red Hat Enterprise Linux:

When safe.pm versions 2.0.7 and earlier are used with Perl 5.8.0 and
earlier, it is possible for an attacker to break out of safe compartments
within Safe::reval and Safe::rdo by using a redefined @_ variable. This is
due to the fact that the redefined @_ variable is not reset between
successive calls. The Common Vulnerabilities and Exposures project
(cve.mitre.org) has assigned the name CAN-2002-1323 to this issue.

A cross-site scripting vulnerability was discovered in the start_form()
function of CGI.pm. The vulnerability allows a remote attacker to insert a
Web script via a URL fed into the form's action parameter. The Common
Vulnerabilities and Exposures project (cve.mitre.org) has assigned the name
CAN-2003-0615 to this issue.

Users of Perl are advised to upgrade to these erratum packages, which
contain Perl 5.6.1 with backported security patches correcting these issues.

4. Solution:

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

To update all RPMs for your particular architecture, run:

rpm -Fvh [filenames]

where [filenames] is a list of the RPMs you wish to upgrade.  Only those
RPMs which are currently installed will be updated.  Those RPMs which are
not installed but included in the list will not be updated.  Note that you
can also use wildcards (*.rpm) if your current directory *only* contains the
desired RPMs.

Please note that this update is also available via Red Hat Network.  Many
people find this an easier way to apply updates.  To use Red Hat Network,
launch the Red Hat Update Agent with the following command:

up2date

This will start an interactive process that will result in the appropriate
RPMs being upgraded on your system.

If up2date fails to connect to Red Hat Network due to SSL Certificate 
Errors, you need to install a version of the up2date client with an updated 
certificate.  The latest version of up2date is available from the Red Hat 
FTP site and may also be downloaded directly from the RHN website:

https://rhn.redhat.com/help/latest-up2date.pxt

5. Bug IDs fixed (http://bugzilla.redhat.com/bugzilla for more info):

102191 - CAN-2002-1323 SAFE.pm compartment issue
102192 - CAN-2003-0615 XSS vulnerability in CGI.pm

6. RPMs required:

Red Hat Enterprise Linux AS (Advanced Server) version 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1AS/en/os/SRPMS/perl-5.6.1-36.1.99ent.src.rpm

i386:
Available from Red Hat Network: perl-5.6.1-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-CGI-2.752-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-CPAN-1.59_54-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-DB_File-1.75-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-NDBM_File-1.75-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-suidperl-5.6.1-36.1.99ent.i386.rpm

ia64:
Available from Red Hat Network: perl-5.6.1-36.1.99ent.ia64.rpm
Available from Red Hat Network: perl-CGI-2.752-36.1.99ent.ia64.rpm
Available from Red Hat Network: perl-CPAN-1.59_54-36.1.99ent.ia64.rpm
Available from Red Hat Network: perl-DB_File-1.75-36.1.99ent.ia64.rpm
Available from Red Hat Network: perl-NDBM_File-1.75-36.1.99ent.ia64.rpm
Available from Red Hat Network: perl-suidperl-5.6.1-36.1.99ent.ia64.rpm

Red Hat Linux Advanced Workstation 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1AW/en/os/SRPMS/perl-5.6.1-36.1.99ent.src.rpm

ia64:
Available from Red Hat Network: perl-5.6.1-36.1.99ent.ia64.rpm
Available from Red Hat Network: perl-CGI-2.752-36.1.99ent.ia64.rpm
Available from Red Hat Network: perl-CPAN-1.59_54-36.1.99ent.ia64.rpm
Available from Red Hat Network: perl-DB_File-1.75-36.1.99ent.ia64.rpm
Available from Red Hat Network: perl-NDBM_File-1.75-36.1.99ent.ia64.rpm
Available from Red Hat Network: perl-suidperl-5.6.1-36.1.99ent.ia64.rpm

Red Hat Enterprise Linux ES version 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1ES/en/os/SRPMS/perl-5.6.1-36.1.99ent.src.rpm

i386:
Available from Red Hat Network: perl-5.6.1-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-CGI-2.752-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-CPAN-1.59_54-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-DB_File-1.75-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-NDBM_File-1.75-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-suidperl-5.6.1-36.1.99ent.i386.rpm

Red Hat Enterprise Linux WS version 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1WS/en/os/SRPMS/perl-5.6.1-36.1.99ent.src.rpm

i386:
Available from Red Hat Network: perl-5.6.1-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-CGI-2.752-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-CPAN-1.59_54-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-DB_File-1.75-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-NDBM_File-1.75-36.1.99ent.i386.rpm
Available from Red Hat Network: perl-suidperl-5.6.1-36.1.99ent.i386.rpm



7. Verification:

MD5 sum                          Package Name
- --------------------------------------------------------------------------
f68c68af77d0fbc0d87adff7ee24d5f5 2.1AS/en/os/SRPMS/perl-5.6.1-36.1.99ent.src.rpm
92beea583946b6a46bf4fba8907676d8 2.1AS/en/os/i386/perl-5.6.1-36.1.99ent.i386.rpm
330f91be78f3b5651ac5b4b8eae8644c 2.1AS/en/os/i386/perl-CGI-2.752-36.1.99ent.i386.rpm
4b387545bf3edc5291120e64c378003e 2.1AS/en/os/i386/perl-CPAN-1.59_54-36.1.99ent.i386.rpm
0c92c0016306bbafbf4a79ffbb9f3f4f 2.1AS/en/os/i386/perl-DB_File-1.75-36.1.99ent.i386.rpm
73a750b46ff4c1d27735364b39675c13 2.1AS/en/os/i386/perl-NDBM_File-1.75-36.1.99ent.i386.rpm
db034ae0d8d69a0ebd19eebe737ce8e8 2.1AS/en/os/i386/perl-suidperl-5.6.1-36.1.99ent.i386.rpm
cb4bb8ff697bda8132ca2be375177eb2 2.1AS/en/os/ia64/perl-5.6.1-36.1.99ent.ia64.rpm
0fb198cf078787fbcc7ff4732194bd5f 2.1AS/en/os/ia64/perl-CGI-2.752-36.1.99ent.ia64.rpm
aae460ed7b4b35177e3d7516afc8738f 2.1AS/en/os/ia64/perl-CPAN-1.59_54-36.1.99ent.ia64.rpm
2843c0ad23024b2bf9356010eb810538 2.1AS/en/os/ia64/perl-DB_File-1.75-36.1.99ent.ia64.rpm
ab28f32d780d4958358cbe87b28be836 2.1AS/en/os/ia64/perl-NDBM_File-1.75-36.1.99ent.ia64.rpm
dd863885922025acc7e9ae761e6ca84a 2.1AS/en/os/ia64/perl-suidperl-5.6.1-36.1.99ent.ia64.rpm
f68c68af77d0fbc0d87adff7ee24d5f5 2.1AW/en/os/SRPMS/perl-5.6.1-36.1.99ent.src.rpm
cb4bb8ff697bda8132ca2be375177eb2 2.1AW/en/os/ia64/perl-5.6.1-36.1.99ent.ia64.rpm
0fb198cf078787fbcc7ff4732194bd5f 2.1AW/en/os/ia64/perl-CGI-2.752-36.1.99ent.ia64.rpm
aae460ed7b4b35177e3d7516afc8738f 2.1AW/en/os/ia64/perl-CPAN-1.59_54-36.1.99ent.ia64.rpm
2843c0ad23024b2bf9356010eb810538 2.1AW/en/os/ia64/perl-DB_File-1.75-36.1.99ent.ia64.rpm
ab28f32d780d4958358cbe87b28be836 2.1AW/en/os/ia64/perl-NDBM_File-1.75-36.1.99ent.ia64.rpm
dd863885922025acc7e9ae761e6ca84a 2.1AW/en/os/ia64/perl-suidperl-5.6.1-36.1.99ent.ia64.rpm
f68c68af77d0fbc0d87adff7ee24d5f5 2.1ES/en/os/SRPMS/perl-5.6.1-36.1.99ent.src.rpm
92beea583946b6a46bf4fba8907676d8 2.1ES/en/os/i386/perl-5.6.1-36.1.99ent.i386.rpm
330f91be78f3b5651ac5b4b8eae8644c 2.1ES/en/os/i386/perl-CGI-2.752-36.1.99ent.i386.rpm
4b387545bf3edc5291120e64c378003e 2.1ES/en/os/i386/perl-CPAN-1.59_54-36.1.99ent.i386.rpm
0c92c0016306bbafbf4a79ffbb9f3f4f 2.1ES/en/os/i386/perl-DB_File-1.75-36.1.99ent.i386.rpm
73a750b46ff4c1d27735364b39675c13 2.1ES/en/os/i386/perl-NDBM_File-1.75-36.1.99ent.i386.rpm
db034ae0d8d69a0ebd19eebe737ce8e8 2.1ES/en/os/i386/perl-suidperl-5.6.1-36.1.99ent.i386.rpm
f68c68af77d0fbc0d87adff7ee24d5f5 2.1WS/en/os/SRPMS/perl-5.6.1-36.1.99ent.src.rpm
92beea583946b6a46bf4fba8907676d8 2.1WS/en/os/i386/perl-5.6.1-36.1.99ent.i386.rpm
330f91be78f3b5651ac5b4b8eae8644c 2.1WS/en/os/i386/perl-CGI-2.752-36.1.99ent.i386.rpm
4b387545bf3edc5291120e64c378003e 2.1WS/en/os/i386/perl-CPAN-1.59_54-36.1.99ent.i386.rpm
0c92c0016306bbafbf4a79ffbb9f3f4f 2.1WS/en/os/i386/perl-DB_File-1.75-36.1.99ent.i386.rpm
73a750b46ff4c1d27735364b39675c13 2.1WS/en/os/i386/perl-NDBM_File-1.75-36.1.99ent.i386.rpm
db034ae0d8d69a0ebd19eebe737ce8e8 2.1WS/en/os/i386/perl-suidperl-5.6.1-36.1.99ent.i386.rpm


These packages are GPG signed by Red Hat for security.  Our key is
available from https://www.redhat.com/security/keys.html

You can verify each package with the following command:
    
    rpm --checksig -v <filename>

If you only wish to verify that each package has not been corrupted or
tampered with, examine only the md5sum with the following command:
    
    md5sum <filename>


8. References:

http://marc.theaimsgroup.com/?l=bugtraq&m=105880349328877
http://bugs6.perl.org/rt2/Ticket/Display.html?id=17744
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2002-1323
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2003-0615

9. Contact:

The Red Hat security contact is <secalert@redhat.com>.  More contact
details at https://www.redhat.com/solutions/security/news/contact.html

Copyright 2003 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)

iD8DBQE/brcgXlSAg2UNWIIRAqyBAKCAXOBTrO0r1X36fMffWQajMGLQtQCgjJG0
SLRps69+/mkHo6O6hPi3Vhk=
=yCHG
-----END PGP SIGNATURE-----

-- 
Enterprise-watch-list mailing list
Enterprise-watch-list@redhat.com
https://www.redhat.com/mailman/listinfo/enterprise-watch-list

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC